+ Reply to Thread
Results 1 to 8 of 8

Thread: Call to undefined function get_magic_quotes_gpc() in \install\index.php:420

  1. #1
    Senior Member
    Join Date
    Apr 2019
    Posts
    193

    Call to undefined function get_magic_quotes_gpc() in \install\index.php:420

    Hello!

    Fatal error: Uncaught Error: Call to undefined function get_magic_quotes_gpc() in C:\xampp\htdocs\site.com\install\index.php:420 Stack trace: #0 {main} thrown in C:\xampp\htdocs\site.com\install\index.php on line 420

    Due to persistent errors with pma__ tables created by phpMyadmin, I had to reinstall xumpp and also reinstall the scripts.
    A new error occurred when I tried to install software. I want to note that I have installed it many times before without any errors.
    Last edited by Logmanov; February 15, 2022 at 10:59 AM.

  2. #2
    Try to solve it yourself. Open the file: ftp://install>>index.php

    find the line:
    PHP Code:
    Only registered members can view the code
    and replace to:
    PHP Code:
    Only registered members can view the code
    Also need to change code in another file.
    Open file: ftp://includes>>classes>>rlValid.class.php
    find code:
    PHP Code:
    Only registered members can view the code
    and replace to:
    PHP Code:
    Only registered members can view the code
    save and check again.
    Viktor,
    Flynax technical department,
    Best wishes.

  3. #3
    Senior Member
    Join Date
    Apr 2019
    Posts
    193
    Hi Viktor!

    Now the same error with just 420 changed to 487

  4. #4
    Senior Member
    Join Date
    Apr 2019
    Posts
    193
    I fixed it by installing the previous version of xampp.

  5. #5
    Junior Member
    Join Date
    Dec 2011
    Posts
    1
    Viktor I have the same problem when I want to update to php 8 or 8.1
    I tried what you wrote, same error but now install/index.php on line 486!
    Do you have any idea?

  6. #6
    Quote Originally Posted by Jozef Pavic View Post
    Viktor I have the same problem when I want to update to php 8 or 8.1
    I tried what you wrote, same error but now install/index.php on line 486!
    Do you have any idea?
    I might be wrong but i dont think Flynax support php 8.
    The next version will support it
    Classifieds Site: My Site
    Other Site: SEO

  7. #7
    Senior Member
    Join Date
    Apr 2019
    Posts
    193
    Quote Originally Posted by Jozef Pavic View Post
    Viktor I have the same problem when I want to update to php 8 or 8.1
    I tried what you wrote, same error but now install/index.php on line 486!
    Do you have any idea?

    You can set php version on your server not later than 7.3.3

  8. #8
    Quote Originally Posted by Jozef Pavic View Post
    Viktor I have the same problem when I want to update to php 8 or 8.1
    I tried what you wrote, same error but now install/index.php on line 486!
    Do you have any idea?
    I don't recommend you install php 8+ site will not work totally.
    Viktor,
    Flynax technical department,
    Best wishes.

+ Reply to Thread